#script used to create Fig5a

#Genes annotated as COG 2801, 2963, 4584, 1484 were extracted from Legionella_sp._TUM19329_cds_dna.fasta file stored in 0_Genetic_information_for each_species/Legionella_sp._TUM19329_cds and saved as file name COG2801.fasta, COG2963.fasta, COG4584.fasta, COG1484.fasta respectively.

#align sequence using mafft --auto option 
"""Strategy: L-INS-i (Probably most accurate, very slow)
 Iterative refinement method (<2) with LOCAL pairwise alignment information were used"""

mafft --auto COG2801.fasta > mafft_COG2801.fasta
mafft --auto COG2963.fasta > mafft_COG2963.fasta
mafft --auto COG4584.fasta > mafft_COG4584.fasta
mafft --auto COG1484.fasta > mafft_COG1484.fasta

#Estimate tree using RAxML GTRGAMMA model
raxmlHPC-SSE3 -f a -s mafft_COG2801.fasta -p 12345 -x 12345 -# 100 -m GTRGAMMA -n COG2801
raxmlHPC-SSE3 -f a -s mafft_COG2963.fasta -p 12345 -x 12345 -# 100 -m GTRGAMMA -n COG2963
raxmlHPC-SSE3 -f a -s mafft_COG4584.fasta -p 12345 -x 12345 -# 100 -m GTRGAMMA -n COG4584
raxmlHPC-SSE3 -f a -s mafft_COG1484.fasta -p 12345 -x 12345 -# 100 -m GTRGAMMA -n COG1484

#Tree figures were create by Figtree using the bipartion newick format file produced by RAxML
