#!/usr/bin/env python
# coding: utf-8

#Importing libraries
from Bio import SeqIO
import pandas as pd
#Importing chromosome sequence of TUM19329 
for record in SeqIO.parse("TUM19329_chromosome.fasta", "fasta"):
    print(record.id)
    print(record.seq)

#import excel sheet that describe the position of sequential genes in the genome 
df2801_2963 = pd.read_excel("Genome_position_of_sequential_genes.xlsx", sheet_name = "2801-2963")
df2801_2963.head()


#convert each position to list
start_position = list(df2801_2963["position_of_500base_upstream_of_two_sequential_genes"])
end_position = list(df2801_2963["position_of_500base_downstream_of_two_sequential_genes"])
fasta_id =(df2801_2963["fasta_id"]) 
forward_or_reverse = (df2801_2963["reverse_compliment"])

#Extract sequence based on the genome position
#export as untrimmed_IS_of_COG2801_2963.fasta
Sequence = 'untrimmed_IS_of_COG2801_2963.fasta'
with open(Sequence, mode='w') as f:
    for i, j, k, l in zip(start_position,end_position, fasta_id, forward_or_reverse):
        if l == "forseq":
            sequence = record.seq[i:j]
        else: 
            sequence = record.seq[i:j].reverse_complement()       
        print(k+"\n"+sequence, file = f)



#Doing the same with sheet 4584-1484
df4584_1484 = pd.read_excel("Genome_position_of_sequential_genes.xlsx", sheet_name = "4584-1484")
df4584_1484.head()

#convert each position to list
start_position = list(df4584_1484["position_of_500base_upstream_of_two_sequential_genes"])
end_position = list(df4584_1484["position_of_500base_downstream_of_two_sequential_genes"])
fasta_id =(df4584_1484["fasta_id"]) 
forward_or_reverse = (df4584_1484["reverse_compliment"])

#Extract sequence based on the genome position
#export as untrimmed_IS_of_COG4584_1484.fasta
    
Sequence = 'untrimmed_IS_of_COG4584_1484.fasta'
with open(Sequence, mode='w') as f:
    for i, j, k, l in zip(start_position,end_position, fasta_id, forward_or_reverse):
        if l == "forseq":
            sequence = record.seq[i:j]
        else: 
            sequence = record.seq[i:j].reverse_complement()       
        print(k+"\n"+sequence, file = f)

